> For AI agents: [llms.txt](https://docs.trustedauth.com/llms.txt) provides a Markdown index of this documentation.

# Get general settings

`GET /api/web/v1/settings/general`

Get general settings. Caller requires the SETTINGS:VIEW permission.

## Responses

### 200

Successful

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "adminUserAuthenticationSessionLifetime": {
      "maximum": 3600,
      "minimum": 60,
      "type": "integer",
      "description": "The amount of time in seconds admin user sessions remain active without user interaction before automatically expiring. If not specified, then authenticationSessionLifetime value is used.",
      "format": "int32"
    },
    "authenticationSessionLifetime": {
      "maximum": 28800,
      "minimum": 60,
      "type": "integer",
      "description": "The amount of time in seconds standard user sessions remain active without user interaction before automatically expiring. Default is 900.",
      "format": "int32"
    },
    "authenticatorActivationType": {
      "type": "string",
      "description": "A setting that indicates the type of token automatically created when a user is created. Choices are NONE, ENTRUST_SOFT_TOKEN or GOOGLE_AUTHENTICATOR. Default is NONE.",
      "enum": [
        "NONE",
        "ENTRUST_SOFT_TOKEN",
        "GOOGLE_AUTHENTICATOR"
      ]
    },
    "corsEnabled": {
      "type": "boolean",
      "description": "A flag that indicates if CORS is enabled for this account. Deprecated, configure it through admin portal.",
      "deprecated": true
    },
    "corsOrigins": {
      "type": "array",
      "description": "A list of origins that cross-origin requests are allowed from. Deprecated, configure it through admin portal.",
      "deprecated": true,
      "items": {
        "required": [
          "id",
          "origin"
        ],
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "CORS origin UUID. This value is generated when the origin is created."
          },
          "origin": {
            "type": "string",
            "description": "Allowed CORS origin. This value can contain port. Wildcard can be used for ports but not for domains. "
          }
        },
        "description": "A list of origins that cross-origin requests are allowed from. Deprecated, configure it through admin portal.",
        "title": "CorsOrigin"
      }
    },
    "defaultGrid": {
      "type": "boolean",
      "description": "A flag that indicates whether a grid card is created when a user is created.",
      "default": false
    },
    "defaultMobileSmartCredential": {
      "type": "boolean",
      "description": "A flag that indicates whether to automatically enroll a smart credential when a user is created. Default is false."
    },
    "defaultPassword": {
      "type": "boolean",
      "description": "A flag that indicates whether a default password is created when a user is created. Default is false."
    },
    "dynamicLinkingTransactionLifetime": {
      "maximum": 3600,
      "minimum": 60,
      "type": "integer",
      "description": "The amount of time in seconds before a dynamic linking transaction expires. Default is 300.",
      "format": "int32"
    },
    "enableEnhancedAuthenticationDetails": {
      "type": "boolean",
      "description": "Indicates whether Enhanced Authentication Details are enabled.",
      "example": true
    },
    "inactivityGracePeriod": {
      "maximum": 2592000,
      "minimum": 60,
      "type": "integer",
      "description": "The grace period, in seconds, granted by an administrator after unblocking a user for inactivity. The user must authenticate within this period or they are considered inactive and blocked again (minimum 60 = 1 minute, default 3600 = 1 hour, maximum 2592000 = 30 days).",
      "format": "int32",
      "default": 3600
    },
    "lockoutCount": {
      "maximum": 20,
      "minimum": 1,
      "type": "integer",
      "description": "The number of failed authentications before a user is locked out. Default is 5.",
      "format": "int32"
    },
    "lockoutLifetime": {
      "type": "integer",
      "description": "The amount of time in seconds before a user lockout expires.  A value of 0 means the lockout never expires. Minimum is 0. Default is 0.",
      "format": "int32"
    },
    "lockoutMode": {
      "type": "string",
      "description": "The lockout mode for the account. AUTHENTICATOR enforces lockout per authenticator; USER locks the user if any authenticator is locked.",
      "enum": [
        "AUTHENTICATOR",
        "USER"
      ]
    },
    "manageInactiveUsers": {
      "type": "boolean",
      "description": "Indicates whether users are blocked after being inactive longer than userInactivityThreshold.",
      "default": false
    },
    "maxFIDOTokensPerUser": {
      "maximum": 10,
      "minimum": 1,
      "type": "integer",
      "description": "The maximum number of FIDO tokens that a user can have.  Default is 5.",
      "format": "int32"
    },
    "maxFacesPerUser": {
      "maximum": 10,
      "minimum": 1,
      "type": "integer",
      "description": "The maximum number of Face Biometrics that a user can have. Default is 5.",
      "format": "int32"
    },
    "maxGridsPerUser": {
      "maximum": 10,
      "minimum": 1,
      "type": "integer",
      "description": "The maximum number of grids that a user can have.  Default is 5.",
      "format": "int32"
    },
    "maxNumberOfPushTransactionsQueued": {
      "maximum": 100,
      "minimum": 1,
      "type": "integer",
      "description": "Maximum number of queued push transactions. Default is 1.",
      "format": "int32"
    },
    "maxSmartCredentialsPerUser": {
      "maximum": 10,
      "minimum": 1,
      "type": "integer",
      "description": "The maximum number of smart credentials that a user can have.  Default is 3.",
      "format": "int32"
    },
    "maxTokensPerUser": {
      "maximum": 10,
      "minimum": 1,
      "type": "integer",
      "description": "The maximum number of tokens that a user can have.  Default is 5.",
      "format": "int32"
    },
    "pushAuthenticationLifetime": {
      "maximum": 3600,
      "minimum": 60,
      "type": "integer",
      "description": "The amount of time in seconds before a push authentication request expires if no response is received from the mobile application.  Default is 300.",
      "format": "int32"
    },
    "pushTransactionLifetime": {
      "maximum": 43200,
      "minimum": 60,
      "type": "integer",
      "description": "The amount of time in seconds that a push transaction can be queued.  Default is 60.",
      "format": "int32"
    },
    "showOnboardingWizard": {
      "type": "boolean",
      "description": "Indicates whether the Get Started wizard is shown.",
      "example": true
    },
    "smartCredentialDefn": {
      "type": "string",
      "description": "The UUID of the Smart Credential Definition to use when a user enrolls a Smart Credential."
    },
    "userInactivityThreshold": {
      "maximum": 94608000,
      "minimum": 604800,
      "type": "integer",
      "description": "The inactivity threshold in seconds after which a user is considered inactive (minimum 604800 = 7 days, default 2592000 = 30 days, maximum 94608000 = 1095 days or approximately 36 months).",
      "format": "int32",
      "default": 2592000
    }
  },
  "description": "New general settings.",
  "title": "GeneralSettings"
}
```

### 400

Bad Request

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 401

Access denied

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 403

Forbidden

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 404

Not Found

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 409

Conflict

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

## Security

Requirements

```json
[
  {
    "AdminAPIAuthentication": [
      "SETTINGS:VIEW"
    ]
  }
]
```
